Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_VDev Class Reference

Implements the VDev interface. One of these is created per connection, and represents device-specific parameters. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_VDev

[legend]
Collaboration diagram for TAO_VDev:

[legend]
List of all members.

## Public Methods
| TAO_VDev (void)
| Default Constructor.
virtual CORBA::Boolean | set_peer (AVStreams::StreamCtrl_ptr the_ctrl, AVStreams::VDev_ptr the_peer_dev, AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_spec, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
| Called to tell the vdev who the streamctrl, peer vdev is.
virtual CORBA::Boolean | set_Mcast_peer (AVStreams::StreamCtrl_ptr the_ctrl, AVStreams::MCastConfigIf_ptr a_mcastconfigif, AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_spec, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
| Used to set the streamctrl and multicast device.
virtual void | configure (const CosPropertyService::Property &the_config_mesg, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)
| Called by the peer VDev to configure the device (catch all).
virtual void | set_format (const char *flowName, const char *format_name, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::notSupported)
| Used to set a format on a flowname.
virtual void | set_dev_params (const char *flowName, const CosPropertyService::Properties &new_params, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)
| Used to set device parameters.
virtual CORBA::Boolean | modify_QoS (AVStreams::streamQoS &the_qos, const AVStreams::flowSpec &the_spec, CORBA::Environment &env = CORBA::Environment::default_environment ()) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed)
| Called to change QoS of the device.
virtual | ~TAO_VDev (void)
| Destructor.
## Protected Methods
virtual CORBA::Boolean | set_media_ctrl (CORBA::Object_ptr media_ctrl, CORBA::Environment &env = CORBA::Environment::default_environment ())
| hook called after set_peer is done to set the media ctrl of the peer vdev.
## Protected Attributes
AVStreams::StreamCtrl_var | streamctrl_
| My stream controller.
AVStreams::VDev_var | peer_
| My peer.
AVStreams::MCastConfigIf_var | mcast_peer_
| The multicast VDev peer.

## Detailed Description

Implements the VDev interface. One of these is created per connection, and represents device-specific parameters.

## Constructor & Destructor Documentation

TAO_VDev::TAO_VDev ( | void )

| Default Constructor.

TAO_VDev::~TAO_VDev ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

void TAO_VDev::configure ( | const CosPropertyService::Property & the_config_mesg,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)`[virtual]`

| Called by the peer VDev to configure the device (catch all).

CORBA::Boolean TAO_VDev::modify_QoS ( | AVStreams::streamQoS & the_qos,
| const AVStreams::flowSpec & the_spec,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed)`[virtual]`

| Called to change QoS of the device.

CORBA::Boolean TAO_VDev::set_Mcast_peer ( | AVStreams::StreamCtrl_ptr the_ctrl,
| AVStreams::MCastConfigIf_ptr a_mcastconfigif,
| AVStreams::streamQoS & the_qos,
| const AVStreams::flowSpec & the_spec,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

| Used to set the streamctrl and multicast device.

void TAO_VDev::set_dev_params ( | const char * flowName,
| const CosPropertyService::Properties & new_params,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)`[virtual]`

| Used to set device parameters.

void TAO_VDev::set_format ( | const char * flowName,
| const char * format_name,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::notSupported)`[virtual]`

| Used to set a format on a flowname.

CORBA::Boolean TAO_VDev::set_media_ctrl ( | CORBA::Object_ptr media_ctrl,
| CORBA::Environment & env = CORBA::Environment::default_environment () )`[protected, virtual]`

| hook called after set_peer is done to set the media ctrl of the peer vdev.

CORBA::Boolean TAO_VDev::set_peer ( | AVStreams::StreamCtrl_ptr the_ctrl,
| AVStreams::VDev_ptr the_peer_dev,
| AVStreams::streamQoS & the_qos,
| const AVStreams::flowSpec & the_spec,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::noSuchFlow, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

| Called to tell the vdev who the streamctrl, peer vdev is.

## Member Data Documentation

AVStreams::MCastConfigIf_var TAO_VDev::mcast_peer_`[protected]`

| The multicast VDev peer.

AVStreams::VDev_var TAO_VDev::peer_`[protected]`

| My peer.

AVStreams::StreamCtrl_var TAO_VDev::streamctrl_`[protected]`

| My stream controller.

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp